Core - Bug # 49458

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Must have
Author: Alexander Schnitzler Category: Install Tool
Created: 2013-06-26 Assigned To:

Updated: 2013-07-02 Due date:

TYPO3 Version: 6.2

PHP Version: 5.5

Complexity:

Is Regression:
Sprint Focus:

Subject: SystemEnvironmentCheck fails with undefined function imageftbbox

Description

Running the environment check without having the function imageftbbox enabled an Exception occurs that is even suppressed by
using @imageftbbox. Therefore the whole page is just white.

Removing the @, the following Exception is shown:

Fatal error: Call to undefined function TYPO3\CMS\Instal\SystemEnvironment\imageftbbox() in

/vagrant/src/typo3_src/typo3/sysext/install/Classes/SystemEnvironment/Check.php on line 1073

A solution would be to check if the method is available via function_exists.

| could also provide a patch but | am unsure about the message that should be displayed to the user.

Related issues:
related to Core - Bug # 49460: Install Tool fails to test for required module... Resolved 2013-06-26

Associated revisions

Revision 4602db17 - 2013-07-02 11:00 - Christian Kuhn
[BUGFIX] Check for imageftbbox() existence before usage

Install tool system environment check calls imageftbbox() without
checking if the function exists and may fatal. The patch adds a

function_exists() and introduces an error status message.

Resolves: #49458
Releases: 6.2

Change-Id: Ibb3be59d6506632db18d68e3394fd5a4b048da81
Reviewed-on: https://review.typo3.org/21783

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Alexander Schnitzler
Tested-by: Alexander Schnitzler
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
https://review.typo3.org/21783

History

#1 - 2013-07-02 09:34 - Christian Kuhn
- Parent task set to #49162

#2 - 2013-07-02 09:37 - Christian Kuhn

yes, should be fixed. check with method_exists first and return errorStatus if method is not there.

#3 - 2013-07-02 10:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21783

#4 - 2013-07-02 10:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21783

#5 - 2013-07-02 11:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4602db17be14bcd4c2a5dcfdcc5dal3chb202f2650.
